import { type IEditorOverrideServices } from "@codingame/monaco-vscode-api/vscode/vs/editor/standalone/browser/standaloneServices";
import { type PanelAlignment, Parts, Position } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/layout/browser/layoutService";
import { IWorkbenchLayoutService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/layout/browser/layoutService.service";
import type { ILayoutOffsetInfo } from "@codingame/monaco-vscode-api/vscode/vs/platform/layout/browser/layoutService";
import { ILayoutService } from "@codingame/monaco-vscode-api/vscode/vs/platform/layout/browser/layoutService.service";
import { Event } from "@codingame/monaco-vscode-api/vscode/vs/base/common/event";
import * as dom from "@codingame/monaco-vscode-api/vscode/vs/base/browser/dom";
import { Part } from "@codingame/monaco-vscode-85886bdb-61c5-52f1-8eb7-d1d32f6f8cbd-common/vscode/vs/workbench/browser/part";
import type { ServicesAccessor } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { Disposable, DisposableStore } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import type { IDisposable } from "@xterm/headless";
import type { IViewSize } from "@codingame/monaco-vscode-6980eeab-47bb-5a48-8e15-32caf0785565-common/vscode/vs/base/browser/ui/grid/gridview";
import { unsupported } from "@codingame/monaco-vscode-api/tools";
export declare class LayoutService extends Disposable implements ILayoutService, IWorkbenchLayoutService {
    mainContainer: HTMLElement;
    readonly _serviceBrand: undefined;
    private paneCompositeService;
    private editorGroupService;
    private statusBarService;
    private viewDescriptorService;
    private configurationService;
    private auxiliaryWindowService;
    private hostService;
    private activeContainerId;
    private sideBarPosition;
    private panelPosition;
    constructor(mainContainer?: HTMLElement);
    getSize(part: Parts): IViewSize;
    setSize: typeof unsupported;
    whenContainerStylesLoaded(): undefined;
    onDidChangeMainEditorCenteredLayout: Event<any>;
    whenActiveContainerStylesLoaded: Promise<void>;
    hasMainWindowBorder(): boolean;
    getMainWindowBorderRadius(): string | undefined;
    isMainEditorLayoutCentered(): boolean;
    centerMainEditorLayout(): void;
    private readonly _onDidLayoutContainer;
    readonly onDidLayoutContainer: Event<{
        readonly container: HTMLElement;
        readonly dimension: dom.IDimension;
    }>;
    private readonly _onDidAddContainer;
    readonly onDidAddContainer: Event<{
        readonly container: HTMLElement;
        readonly disposables: DisposableStore;
    }>;
    private readonly _onDidRemoveContainer;
    readonly onDidRemoveContainer: Event<HTMLElement>;
    private readonly _onDidLayoutMainContainer;
    readonly onDidLayoutMainContainer: Event<dom.IDimension>;
    private readonly _onDidLayoutActiveContainer;
    readonly onDidLayoutActiveContainer: Event<dom.IDimension>;
    private readonly _onDidChangeActiveContainer;
    readonly onDidChangeActiveContainer: Event<void>;
    get activeContainer(): HTMLElement;
    get containers(): Iterable<HTMLElement>;
    private getContainerFromDocument;
    mainContainerOffset: {
        top: number;
        quickPickTop: number;
    };
    activeContainerOffset: {
        top: number;
        quickPickTop: number;
    };
    onDidChangeFullscreen: Event<any>;
    onDidChangeZenMode: Event<any>;
    onDidChangeWindowMaximized: Event<any>;
    onDidChangeCenteredLayout: Event<any>;
    private readonly _onDidChangePanelPosition;
    readonly onDidChangePanelPosition: Event<string>;
    private readonly _onDidChangeSideBarPosition;
    readonly onDidChangeSideBarPosition: Event<string>;
    onDidChangePanelAlignment: Event<any>;
    onDidChangeNotificationsVisibility: Event<any>;
    openedDefaultEditors: boolean;
    whenRestored: Promise<void>;
    init(accessor: ServicesAccessor): void;
    private handleContainerDidLayout;
    private getActiveContainerId;
    private onActiveWindowChanged;
    private isActivityBarHidden;
    focusPart(part: Parts): void;
    getDimension(part: Parts): dom.Dimension | undefined;
    toggleMaximizedPanel(): void;
    toggleMenuBar(): void;
    setPanelPosition(position: Position): void;
    getPanelAlignment(): PanelAlignment;
    setPanelAlignment(): void;
    toggleZenMode(): void;
    isEditorLayoutCentered(): boolean;
    centerEditorLayout(): void;
    resizePart(): void;
    isWindowMaximized(): boolean;
    updateWindowMaximizedState(): void;
    getVisibleNeighborPart(): Parts | undefined;
    getMaximumEditorDimensions(): dom.Dimension;
    isPanelMaximized(): boolean;
    getPanelPosition(): Position;
    private readonly parts;
    hasFocus(part: Parts): boolean;
    getContainer(window: Window): HTMLElement;
    getContainer(part: Parts): HTMLElement | undefined;
    getPart(key: Parts): Part | undefined;
    private hiddenParts;
    private hasViews;
    setPartHidden(hidden: boolean, part: Parts): void;
    isVisible(part: Parts): boolean;
    getSideBarPosition(): Position;
    setSideBarPosition(position: Position): void;
    registerPart(part: Part): IDisposable;
    isRestored(): boolean;
    private _onDidChangePartVisibility;
    onDidChangePartVisibility: Event<void>;
    readonly offset: ILayoutOffsetInfo;
    private readonly _onDidLayout;
    readonly onDidLayout: Event<dom.IDimension>;
    private _mainContainerDimension;
    get mainContainerDimension(): dom.IDimension;
    get activeContainerDimension(): dom.IDimension;
    layout(): void;
    get hasContainer(): boolean;
    focus(): void;
}
declare function getServiceOverride(): IEditorOverrideServices;
/**
 * @deprecated Provide container via the services `initialize` function
 */
declare function getServiceOverride(container?: HTMLElement): IEditorOverrideServices;
export default getServiceOverride;
