export const messages = {
  en: {
    sidebar: {
      controlCenter: 'MoFA Stage Control',
      agentsList: 'MoFA Hub',
      dataflowOrchestration: 'Dataflow Orchestration',
      commandLine: 'Command Line',
      settings: 'Settings',
      webSSH: 'Command Line',
      ttyd: 'Command Line'
    },
    common: {
      confirm: 'Confirm',
      cancel: 'Cancel',
      delete: 'Delete',
      edit: 'Edit',
      create: 'Create',
      save: 'Save',
      success: 'Success',
      error: 'Error',
      copy: 'Copy',
      more: 'More',
      back: 'Back'
    },
    dataflow: {
      title: 'Dataflow Orchestration',
      editor: 'Dataflow Editor',
      createNew: 'Create New Dataflow',
      edit: 'Edit Dataflow',
      editFlow: 'Edit Flow',
      editInfo: 'Edit Info',
      description: 'Dataflow orchestration allows you to connect multiple Agents together to form a data processing pipeline. The output of one Agent can serve as the input for another Agent, enabling complex data processing and task orchestration.',
      noDataflows: 'No dataflows yet, click the button above to create one',
      nodeName: 'Node Name',
      nodeCount: 'Node Count',
      connectionCount: 'Connection Count',
      status: 'Status',
      lastUpdated: 'Last Updated',
      noDescription: 'No description',
      confirmDelete: 'Confirm Delete',
      deleteConfirm: 'Are you sure you want to delete the dataflow "{name}"? This action cannot be undone.',
      deleteSuccess: 'Dataflow deleted successfully',
      deleteError: 'Failed to delete dataflow',
      copySuccess: 'Dataflow copied successfully',
      copyError: 'Failed to copy dataflow',
      copy: 'Copy',
      runSuccess: 'Dataflow started running',
      runError: 'Failed to run dataflow',
      saveSuccess: 'Dataflow saved successfully',
      saveError: 'Failed to save dataflow',
      name: 'Name',
      descriptionLabel: 'Description',
      description: 'Dataflow orchestration allows you to connect multiple Agents together to form a data processing pipeline. The output of one Agent can serve as the input for another Agent, enabling complex data processing and task orchestration.',
      enterName: 'Enter dataflow name',
      enterDescription: 'Enter dataflow description',
      availableAgents: 'Available Agents',
      searchAgent: 'Search Agent',
      noAgentsFound: 'No matching agents found',
      dragAgents: 'Drag agents from the left to start creating a dataflow',
      propertiesPanel: 'Properties Panel',
      nodeProperties: 'Node Properties',
      connectionProperties: 'Connection Properties',
      selectToViewProperties: 'Select a node or connection to view properties',
      source: 'Source',
      target: 'Target',
      addInput: 'Add Input',
      addOutput: 'Add Output',
      upload: 'Upload',
      selectFile: 'Select File',
      submit: 'Submit',
      inputLabel: 'Input',
      outputLabel: 'Output',
      inputPorts: 'Input Ports',
      outputPorts: 'Output Ports',
      deleteConnection: 'Delete Connection'
    },
    settings: {
      title: 'Settings',
      systemMofa: 'Use System MOFA',
      mofaDir: 'MOFA Directory',
      agentsDir: 'Agents Directory',
      language: 'Language',
      save: 'Save Settings',
      reset: 'Reset to Default',
      saveSuccess: 'Settings saved successfully',
      saveError: 'Failed to save settings',
      mofaEnvironment: 'MoFA Environment Settings',
      mofaCommandSource: 'MoFA Command Source',
      mofaCommandSourceHelp: 'Select MoFA source: system installation, virtual environment, or Docker container',
      useSystemMofa: 'Use System Installed MOFA',
      useVirtualEnv: 'Use Virtual Environment',
      mofaEnvPath: 'MoFA Environment Path',
      browse: 'Browse',
      mofaEnvPathHelp: 'Specify MoFA virtual environment path, e.g.: /mnt/c/Users/msuser/Desktop/code/mofa_venv',
      mofaDirHelp: 'Specify MoFA project root directory, e.g.: /mnt/c/Users/msuser/Desktop/code/mofa',
      agentHubStorage: 'Agent Hub Storage',
      examplesStorage: 'Examples Storage',
      useDefaultPath: 'Use default path',
      useCustomPath: 'Use custom path',
      useRelativePaths: 'Use Relative Paths',
      useRelativePathsHelp: 'Use relative paths for default directories (recommended)',
      agentHubPath: 'Agent Hub Path',
      examplesPath: 'Examples Path',
      agentHubPathHelp: 'Enter the full directory path for storing atomic agents',
      examplesPathHelp: 'Enter the full directory path for storing example combinations',
      agentStorage: 'Agent Storage Location',
      examplesDir: 'examples directory (/python/examples)',
      agentHubDir: 'agent-hub directory (/python/agent-hub)',
      customDir: 'Custom directory',
      agentStorageHelp: 'Choose the directory for storing agents, official recommendation is to use agent-hub directory',
      customAgentPath: 'Custom Agent Path',
      customAgentPathHelp: 'Enter the full directory path for storing agents',
      editorSettings: 'Editor Settings',
      theme: 'Theme',
      lightTheme: 'Light',
      darkTheme: 'Dark',
      useDocker: 'Use Docker Container',     
      editorFontSize: 'Editor Font Size',
      editorTabSize: 'Editor Tab Size',
      terminalDisplayMode: 'Terminal Display Mode',
      showBothTerminals: 'Show Both Terminals',
      showOnlyTerminal: 'Show Only Terminal',
      showOnlyWebSSH: 'Show Only Web SSH',
      showOnlyTtyd: 'Show Only ttyd',
      terminalDisplayModeHelp: 'Choose which terminal to display in the sidebar. Requires page refresh to take effect.',
      ttydPort: 'ttyd Port',
      ttydPortHelp: 'ttyd service will run on this port. Default is 7681. Requires service restart to take effect.',
      dockerContainer: 'Docker Container Name',
      dockerContainerHelp: 'Running container name or ID containing MoFA',
      projectType: 'Project Type',
      mofaProject: 'MoFA Project',
      doraProject: 'Dora Project',
      projectTypeHelp: 'Choose project type: MoFA (standard structure) or Dora (compatibility mode)',
      doraRootDir: 'Dora Root Directory',
      doraRootDirHelp: 'Specify the Dora project root directory',
      doraNodeHubPath: 'Node Hub Path',
      doraNodeHubPathHelp: 'Specify the Dora node-hub directory path (corresponds to MoFA\'s agent-hub)',
      doraExamplesPath: 'Examples Path',
      doraExamplesPathHelp: 'Specify the Dora examples directory path',
      appSubtitleSettings: 'App Subtitle Settings',
      subtitleMode: 'Subtitle Mode',
      defaultSubtitle: 'Default Subtitle',
      randomSubtitle: 'Random Subtitle',
      customSubtitle: 'Custom Subtitle',
      subtitleModeHelp: 'Choose subtitle display mode: default, random selection, or custom',
      customSubtitleText: 'Custom Subtitle Text',
      customSubtitlePlaceholder: 'Enter your custom subtitle',
      customSubtitleHelp: 'Enter your custom subtitle, up to 50 characters',
      presetSubtitles: 'Preset Subtitles List',
      presetSubtitlePlaceholder: 'Preset subtitle',
      presetSubtitlesHelp: 'Manage preset subtitles list for random mode. Maximum 10 presets.',
      addPreset: 'Add Preset',
      currentSubtitle: 'Current Subtitle Preview',
      sshsetting: 'Remote SSH Connection Settings'
    },
    terminal: {
      environmentInfo: 'Environment Information',
      environmentType: 'Environment Type',
      openTerminal: 'Open Terminal',
      configurationRequired: 'Please configure the MoFA environment in Settings first',
      notConfigured: 'Not configured',
      platformInfo: 'Platform Information',
      openingTerminal: 'Opening terminal...',
      windowsPrompt: 'For Windows users, we recommend using WSL (Windows Subsystem for Linux)',
      terminalOpenSuccess: 'Terminal opened successfully',
      terminalOpenError: 'Failed to open terminal',
      enterCommand: 'Enter command...',
      executing: 'Executing...',
      clear: 'Clear',
      execute: 'Execute',
      sessionInitialized: 'Terminal session initialized',
      newTab: 'New Terminal',
      closeTab: 'Close Terminal',
      interrupted: 'Command interrupted'
    },
    ttyd: {
      restart: 'Restart Service',
      tabName: 'Tab Name',
      workingDir: 'Working Directory',
      command: 'Custom Command',
      commandHelp: 'Leave empty to use the default shell',
      newTab: 'New Terminal Tab'
    },
    ssh: {
      configuration: 'SSH Configuration',
      hostname: 'Hostname',
      port: 'Port',
      username: 'Username',
      password: 'Password',
      connect: 'Connect',
      disconnect: 'Disconnect',
      settings: 'Settings',
      autoConnect: 'Auto Connect',
      autoConnectHelp: 'Auto connects when opening the terminal',
      sshSettings: 'SSH Settings'
    },
    agent: {
      list: 'Agent Hub',
      create: 'Create Agent',
      edit: 'Edit Agent',
      delete: 'Delete Agent',
      deleteConfirm: 'Are you sure you want to delete agent "{name}"? This action cannot be undone!',
      deleteSuccess: 'Agent {name} deleted successfully',
      deleteError: 'Failed to delete agent: {error}',
      createFirst: 'Create your first Agent',
      noAgentsFound: 'No agents found',
      noExamplesFound: 'No dataflow examples found',
      running: 'Running',
      logs: 'Logs',
      noLogs: 'No logs available',
      viewLogs: 'View Logs',
      processOutput: 'Process Output',
      noOutput: 'No output available',
      run: 'Run',
      stop: 'Stop',
      copyAgent: 'Copy Agent',
      sourceAgent: 'Source Agent',
      newAgent: 'New Agent',
      enterNewAgentName: 'Enter new agent name',
      confirmCopy: 'Confirm Copy',
      runningLogs: 'Running Logs',
      autoDetect: 'Auto detect',
      agentTypeHelp: 'Choose where to store the new agent. Auto detect will use the same type as the source agent.'
    }
  },
  zh: {
    sidebar: {
      controlCenter: 'MoFA Stage 控制中心',
      agentsList: 'MoFA Hub',
      dataflowOrchestration: '数据流编排',
      commandLine: '命令行',
      settings: '设置',
      webSSH: '命令行',
      ttyd: '命令行'
    },
    common: {
      confirm: '确认',
      cancel: '取消',
      delete: '删除',
      edit: '编辑',
      create: '创建',
      save: '保存',
      success: '成功',
      error: '错误',
      copy: '复制',
      more: '更多',
      back: '返回',
      logs: '日志',
      noLogs: '暂无日志',
      viewLogs: '查看日志',
      processOutput: '进程输出',
      noOutput: '暂无输出'
    },
    dataflow: {
      title: '数据流编排',
      editor: '数据流编辑器',
      createNew: '创建新数据流',
      edit: '编辑数据流',
      editFlow: '编辑流程',
      editInfo: '修改信息',
      description: '数据流编排允许您将多个Agent连接在一起，形成一个数据处理流水线。一个Agent的输出可以作为另一个Agent的输入，实现复杂的数据处理和任务编排。',
      noDataflows: '暂无数据流，点击上方按钮创建',
      nodeName: '节点名称',
      nodeCount: '节点数',
      connectionCount: '连接数',
      status: '状态',
      lastUpdated: '最后更新',
      noDescription: '无描述',
      confirmDelete: '确认删除',
      deleteConfirm: '确定要删除数据流 "{name}" 吗？此操作不可恢复。',
      deleteSuccess: '数据流删除成功',
      deleteError: '删除数据流失败',
      copySuccess: '数据流复制成功',
      copyError: '复制数据流失败',
      copy: '复制',
      runSuccess: '数据流已开始运行',
      runError: '运行数据流失败',
      saveSuccess: '数据流保存成功',
      saveError: '保存数据流失败',
      name: '名称',
      descriptionLabel: '描述',
      description: '数据流编排允许您将多个 Agents 连接在一起形成数据处理管道。一个 Agent 的输出可以作为另一个 Agent 的输入，从而实现复杂的数据处理和任务编排。',
      enterName: '请输入数据流名称',
      enterDescription: '请输入数据流描述',
      availableAgents: '可用 Agents',
      searchAgent: '搜索 Agent',
      noAgentsFound: '未找到符合条件的 Agent',
      dragAgents: '从左侧拖拽 Agent 到此处开始创建数据流',
      propertiesPanel: '属性面板',
      nodeProperties: '节点属性',
      connectionProperties: '连接属性',
      selectToViewProperties: '选择节点或连接以查看属性',
      source: '来源',
      target: '目标',
      addInput: '添加输入',
      addOutput: '添加输出',
      upload: '上传',
      selectFile: '选择文件',
      submit: '提交',
      inputLabel: '输入',
      outputLabel: '输出',
      inputPorts: '输入端口',
      outputPorts: '输出端口',
      deleteConnection: '删除连接'
    },
    settings: {
      title: '设置',
      systemMofa: '使用系统 MOFA',
      mofaDir: 'MOFA 目录',
      agentsDir: 'Agents 目录',
      language: '语言',
      save: '保存设置',
      reset: '重置为默认',
      saveSuccess: '设置保存成功',
      saveError: '设置保存失败',
      mofaEnvironment: 'MoFA 环境设置',
      mofaCommandSource: 'MoFA 命令源',
      mofaCommandSourceHelp: '选择MoFA来源：系统安装、虚拟环境或Docker容器',
      useSystemMofa: '使用系统安装的MOFA',
      useVirtualEnv: '使用虚拟环境',
      mofaEnvPath: 'MoFA 环境路径',
      browse: '浏览',
      mofaEnvPathHelp: '指定 MoFA 虚拟环境路径，例如：/mnt/c/Users/msuser/Desktop/code/mofa/mofa_venv',
      mofaDirHelp: '指定 MoFA 项目根目录，例如：/mnt/c/Users/msuser/Desktop/code/mofa',
      agentHubStorage: 'Agent Hub 存储',
      examplesStorage: 'Examples 存储',
      useDefaultPath: '使用默认路径',
      useCustomPath: '使用自定义路径',
      useRelativePaths: '使用相对路径',
      useRelativePathsHelp: '为默认目录使用相对路径（推荐）',
      agentHubPath: 'Agent Hub 路径',
      examplesPath: 'Examples 路径',
      agentHubPathHelp: '输入存储原子 Agent 的完整目录路径',
      examplesPathHelp: '输入存储示例组合的完整目录路径',
      agentStorage: 'Agent 存储位置',
      examplesDir: 'examples目录 (/python/examples)',
      agentHubDir: 'agent-hub目录 (/python/agent-hub)',
      customDir: '自定义目录',
      agentStorageHelp: '选择存放Agent的目录，官方推荐使用agent-hub目录',
      customAgentPath: '自定义Agent路径',
      customAgentPathHelp: '输入存储Agent的完整目录路径',
      editorSettings: '编辑器设置',
      theme: '主题',
      lightTheme: '亮色',
      darkTheme: '暗色',
      useDocker: '使用 Docker 容器',     
      editorFontSize: '编辑器字体大小',
      editorTabSize: '编辑器缩进大小',
      terminalDisplayMode: '终端模式',
      showBothTerminals: '显示两个终端',
      showOnlyTerminal: '只显示终端',
      showOnlyWebSSH: '只显示SSH终端',
      showOnlyTtyd: '只显示ttyd终端',
      terminalDisplayModeHelp: '选择要在侧边栏中显示哪个终端。需要刷新页面才能生效。',
      ttydPort: 'ttyd端口',
      ttydPortHelp: 'ttyd服务将在此端口上运行。默认是7681。需要重启服务才能生效。',
      dockerContainer: 'Docker容器名称',
      dockerContainerHelp: '运行包含MoFA的容器名称或ID',
      projectType: '项目类型',
      mofaProject: 'MoFA项目',
      doraProject: 'Dora项目',
      projectTypeHelp: '选择项目类型：MoFA（标准结构）或Dora（兼容模式）',
      doraRootDir: 'Dora根目录',
      doraRootDirHelp: '指定Dora项目根目录',
      doraNodeHubPath: '节点Hub路径',
      doraNodeHubPathHelp: '指定Dora节点-hub目录路径（对应MoFA的agent-hub）',
      doraExamplesPath: 'Examples路径',
      doraExamplesPathHelp: '指定Dora示例目录路径',
      appSubtitleSettings: '应用标语设置',
      subtitleMode: '标语模式',
      defaultSubtitle: '默认标语',
      randomSubtitle: '随机标语',
      customSubtitle: '自定义标语',
      subtitleModeHelp: '选择标语显示模式：默认、随机选择或自定义',
      customSubtitleText: '自定义标语文本',
      customSubtitlePlaceholder: '输入您的自定义标语',
      customSubtitleHelp: '输入您想要显示的自定义标语，最多50个字符',
      presetSubtitles: '预设标语列表',
      presetSubtitlePlaceholder: '预设标语',
      presetSubtitlesHelp: '管理预设标语列表，用于随机模式。最多10个预设。',
      addPreset: '添加预设',
      currentSubtitle: '当前标语预览',
      sshsetting: '远程SSH连接设置'
    },
    terminal: {
      environmentInfo: '环境信息',
      environmentType: '环境类型',
      openTerminal: '打开终端',
      configurationRequired: '请先在设置中配置MoFA环境',
      notConfigured: '未配置',
      platformInfo: '平台信息',
      openingTerminal: '正在打开终端...',
      windowsPrompt: '对于Windows用户，我们建议使用WSL（Windows Subsystem for Linux）',
      terminalOpenSuccess: '终端成功打开',
      terminalOpenError: '打开终端失败',
      enterCommand: '输入命令...',
      executing: '执行中...',
      clear: '清除',
      execute: '执行',
      sessionInitialized: '终端会话已初始化',
      newTab: '新终端',
      closeTab: '关闭终端',
      interrupted: '命令已中断'
    },
    ttyd: {
      restart: '重启服务',
      tabName: '标签名称',
      workingDir: '工作目录',
      command: '自定义命令',
      commandHelp: '留空以使用默认shell',
      newTab: '新建终端标签'
    },
    ssh: {
      configuration: 'SSH配置',
      hostname: '主机名',
      port: '端口',
      username: '用户名',
      password: '密码',
      connect: '连接',
      disconnect: '断开连接',
      settings: '设置',
      autoConnect: '自动连接',
      autoConnectHelp: '设置为自动连接',
      sshSettings: '终端设置'
    },
    agent: {
      list: 'Agent Hub',
      create: '创建 Dataflow',
      edit: '编辑 Agent',
      delete: '删除 Agent',
      deleteConfirm: '确定要删除 Agent "{name}" 吗？此操作不可恢复！',
      deleteSuccess: '成功删除 Agent: {name}',
      deleteError: '删除 Agent 失败: {error}',
      createFirst: '创建第一个 Agent',
      noAgentsFound: '没有找到 Agent',
      noExamplesFound: '没有找到数据流示例',
      running: '运行中',
      logs: '日志',
      noLogs: '暂无日志',
      noDescription: '无描述信息',
      viewLogs: '查看日志',
      processOutput: '进程输出',
      noOutput: '暂无输出',
      run: '运行',
      stop: '停止',
      copyAgent: '复制 Agent',
      sourceAgent: '源 Agent',
      newAgent: '新 Agent',
      enterNewAgentName: '请输入新 Agent 名称',
      confirmCopy: '确认复制',
      runningLogs: '运行日志',
      autoDetect: '自动检测',
      agentTypeHelp: '选择存储新 Agent 的位置。自动检测将使用与源 Agent 相同的类型。'
    }
  }
}
